<?php
/*
Simple:Press Plugin Title: Uploads Viewer
Version: 1.1.8
Plugin URI: http://simple-press.com
Description: A Simple:Press plugin for viewing previous uploads and inserting into another post
Author: Andy Staines & Steve Klasen
Author URI: http://simple-press.com
Simple:Press Versions: 5.2 and above
$LastChangedDate: 2013-02-16 16:20:30 -0700 (Sat, 16 Feb 2013) $
$Rev: 9848 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

# we require the plupload file uploader to be active
if (!sp_is_plugin_active('plupload/sp-plupload-plugin.php')) return;

# IMPORTANT DB VERSION
define('SPUVDBVERSION', 0);

define('SPUVDIR', 		SFPLUGINDIR.'uploads-viewer/');
define('SPUVADMINDIR', 	SFPLUGINDIR.'uploads-viewer/admin/');
define('SPUVAHAHDIR', 	SFPLUGINDIR.'uploads-viewer/ahah/');
define('SPUVLIBDIR', 	SFPLUGINDIR.'uploads-viewer/library/');
define('SPUVLIBURL', 	SFPLUGINURL.'uploads-viewer/library/');
define('SPUVCSS', 		SFPLUGINURL.'uploads-viewer/resources/css/');
define('SPUVSCRIPT', 	SFPLUGINURL.'uploads-viewer/resources/jscript/');
define('SPUVIMAGES', 	SFPLUGINURL.'uploads-viewer/resources/images/');

add_action('init', 												         'sp_uploads_viewer_localization');
add_action('sph_activate_uploads_viewer/sp-uploads-viewer-plugin.php', 	 'sp_uploads_viewer_install');
add_action('sph_uninstall_uploads_viewer/sp-uploads-viewer-plugin.php',  'sp_uploads_viewer_uninstall');
add_action('sph_deactivate_uploads_viewer/sp-uploads-viewer-plugin.php', 'sp_uploads_viewer_deactivate');
add_action('sph_print_plugin_scripts', 							         'sp_uploads_viewer_load_js');
add_action('sph_print_plugin_styles',									 'sp_uploads_viewer_head');
add_action('sph_ahah_handler_uploads-viewer-view',	     	             'sp_uploads_viewer_ahah_view');

add_filter('sph_acknowledgements',	         'sp_uploads_viewer_acknowledgement');
add_filter('sph_uploader_editor_section', 	 'sp_uploads_viewer_button', 10, 5);

function sp_uploads_viewer_localization() {
	sp_plugin_localisation('sp-uv');
}

function sp_uploads_viewer_install() {
    include_once(SPUVDIR.'sp-uploads-viewe-install.php');
    sp_uploads_viewer_do_install();
}

function sp_uploads_viewer_uninstall() {
    include_once(SPUVDIR.'sp-uploads-viewer-uninstall.php');
    sp_uploads_viewer_do_uninstall();
}

function sp_uploads_viewer_deactivate() {
    include_once(SPUVDIR.'sp-uploads-viewer-uninstall.php');
    sp_uploads_viewer_do_deactivate();
}

function sp_uploads_viewer_sp_activate() {
	include_once(SPUVDIR.'sp-uploads-viewer-install.php');
    sp_uploads_viewer_do_sp_activate();
}

function sp_uploads_viewer_sp_deactivate() {
	include_once(SPUVDIR.'sp-uploads-viewer-uninstall.php');
    sp_uploads_viewer_do_sp_deactivate();
}

function sp_uploads_viewer_sp_uninstall() {
	include_once(SPUVDIR.'sp-poluploads-viewerls-uninstall.php');
    sp_uploads_viewer_do_sp_uninstall();
}

function sp_uploads_viewer_load_js($footer) {
    include_once(SPUVLIBDIR.'sp-uploads-viewer-components.php');
    sp_uploads_viewer_do_load_js($footer);
}

function sp_uploads_viewer_head() {
    include_once(SPUVLIBDIR.'sp-uploads-viewer-components.php');
    sp_uploads_viewer_do_head();
}

function sp_uploads_viewer_ahah_view() {
    include_once(SPUVAHAHDIR.'sp-uploads-viewer-ahah-view.php');
}

function sp_uploads_viewer_button($out, $type, $uploadImages, $uploadMedia, $uploadFiles) {
    include_once(SPUVLIBDIR.'sp-uploads-viewer-components.php');
    $out = sp_uploads_viewer_do_button($out, $type, $uploadImages, $uploadMedia, $uploadFiles);
	return $out;
}

function sp_uploads_viewer_acknowledgement($ack) {
	$ack[] = __('File Tree by ', 'sp-uv').': <a href="http://www.abeautifulsite.net/blog/2008/03/jquery-file-tree/">A Beautiful Site</a>';
	return $ack;
}

?>